searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"EctoForge.html","title":"EctoForge","type":"module"},{"doc":"","ref":"EctoForge.Application.html","title":"EctoForge.Application","type":"module"},{"doc":"","ref":"EctoForge.Application.html#start/2","title":"EctoForge.Application.start/2","type":"function"},{"doc":"","ref":"EctoForge.CreateExtension.Events.html","title":"EctoForge.CreateExtension.Events","type":"module"},{"doc":"# You can use callback functions for processing. After the query and before the query to filter the data.\n\n```elixir\ndefmodule EctoForge.Extension.Get.Preload do\n\nuse EctoForge.CreateExtension.Get\n\ndef before_query_add_extension_to_get(_module, _mode, query, attrs) do\n  preload_attrs = Utls.MapUtls.opts_to_map(attrs)\n  attrs = Keyword.delete(attrs, :preload)\n\n  if is_list(preload_attrs) do\n    {preload(query, ^preload_attrs), attrs}\n  else\n    {query, attrs}\n  end\nend\nend\n```","ref":"EctoForge.CreateExtension.Get.html","title":"EctoForge.CreateExtension.Get","type":"behaviour"},{"doc":"","ref":"EctoForge.CreateExtension.Get.html#c:after_query_add_extension_to_get/4","title":"EctoForge.CreateExtension.Get.after_query_add_extension_to_get/4","type":"callback"},{"doc":"","ref":"EctoForge.CreateExtension.Get.html#c:before_query_add_extension_to_get/4","title":"EctoForge.CreateExtension.Get.before_query_add_extension_to_get/4","type":"callback"},{"doc":"","ref":"EctoForge.CreateInstance.html","title":"EctoForge.CreateInstance","type":"module"},{"doc":"","ref":"EctoForge.DatabaseApi.html","title":"EctoForge.DatabaseApi","type":"module"},{"doc":"# Implements library https://hexdocs.pm/filtery/readme.html","ref":"EctoForge.Extension.Get.Filter.html","title":"EctoForge.Extension.Get.Filter","type":"module"},{"doc":"","ref":"EctoForge.Extension.Get.Filter.html#after_query_add_extension_to_get/4","title":"EctoForge.Extension.Get.Filter.after_query_add_extension_to_get/4","type":"function"},{"doc":"","ref":"EctoForge.Extension.Get.Filter.html#before_query_add_extension_to_get/4","title":"EctoForge.Extension.Get.Filter.before_query_add_extension_to_get/4","type":"function"},{"doc":"","ref":"EctoForge.Extension.Get.Pagination.html","title":"EctoForge.Extension.Get.Pagination","type":"module"},{"doc":"","ref":"EctoForge.Extension.Get.Pagination.html#after_query_add_extension_to_get/4","title":"EctoForge.Extension.Get.Pagination.after_query_add_extension_to_get/4","type":"function"},{"doc":"","ref":"EctoForge.Extension.Get.Pagination.html#before_query_add_extension_to_get/4","title":"EctoForge.Extension.Get.Pagination.before_query_add_extension_to_get/4","type":"function"},{"doc":"","ref":"EctoForge.Extension.Get.Preload.html","title":"EctoForge.Extension.Get.Preload","type":"module"},{"doc":"#","ref":"EctoForge.Extension.Get.Preload.html#module-use-preload-with-your-model","title":"Use preload with your model - EctoForge.Extension.Get.Preload","type":"module"},{"doc":"```\nMyApp.UserModel.find(preload: [:user])\n```","ref":"EctoForge.Extension.Get.Preload.html#module-example","title":"Example - EctoForge.Extension.Get.Preload","type":"module"},{"doc":"","ref":"EctoForge.Extension.Get.Preload.html#after_query_add_extension_to_get/4","title":"EctoForge.Extension.Get.Preload.after_query_add_extension_to_get/4","type":"function"},{"doc":"","ref":"EctoForge.Extension.Get.Preload.html#before_query_add_extension_to_get/4","title":"EctoForge.Extension.Get.Preload.before_query_add_extension_to_get/4","type":"function"},{"doc":"","ref":"EctoForge.Helpers.QueryBinderGet.html","title":"EctoForge.Helpers.QueryBinderGet","type":"module"},{"doc":"","ref":"EctoForge.Helpers.RepoBase.Utls.MapUtls.html","title":"EctoForge.Helpers.RepoBase.Utls.MapUtls","type":"module"},{"doc":"","ref":"EctoForge.Helpers.RepoBase.Utls.MapUtls.html#keys_with_path/2","title":"EctoForge.Helpers.RepoBase.Utls.MapUtls.keys_with_path/2","type":"function"},{"doc":"","ref":"EctoForge.Helpers.RepoBase.Utls.MapUtls.html#opts_to_map/1","title":"EctoForge.Helpers.RepoBase.Utls.MapUtls.opts_to_map/1","type":"function"},{"doc":"","ref":"EctoForge.Repo.html","title":"EctoForge.Repo","type":"module"},{"doc":"","ref":"EctoForge.Repo.html#aggregate/3","title":"EctoForge.Repo.aggregate/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#aggregate/4","title":"EctoForge.Repo.aggregate/4","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#all/2","title":"EctoForge.Repo.all/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#checked_out?/0","title":"EctoForge.Repo.checked_out?/0","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#checkout/2","title":"EctoForge.Repo.checkout/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#child_spec/1","title":"EctoForge.Repo.child_spec/1","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#config/0","title":"EctoForge.Repo.config/0","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#default_options/1","title":"EctoForge.Repo.default_options/1","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#delete/2","title":"EctoForge.Repo.delete/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#delete!/2","title":"EctoForge.Repo.delete!/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#delete_all/2","title":"EctoForge.Repo.delete_all/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that forces all connections in the\npool to disconnect within the given interval.\n\nSee `Ecto.Adapters.SQL.disconnect_all/3` for more information.","ref":"EctoForge.Repo.html#disconnect_all/2","title":"EctoForge.Repo.disconnect_all/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#exists?/2","title":"EctoForge.Repo.exists?/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar\ndepending on the adapter to obtain statistics for the given query.\n\nSee `Ecto.Adapters.SQL.explain/4` for more information.","ref":"EctoForge.Repo.html#explain/3","title":"EctoForge.Repo.explain/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#get/3","title":"EctoForge.Repo.get/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#get!/3","title":"EctoForge.Repo.get!/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#get_by/3","title":"EctoForge.Repo.get_by/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#get_by!/3","title":"EctoForge.Repo.get_by!/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#get_dynamic_repo/0","title":"EctoForge.Repo.get_dynamic_repo/0","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#in_transaction?/0","title":"EctoForge.Repo.in_transaction?/0","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#insert/2","title":"EctoForge.Repo.insert/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#insert!/2","title":"EctoForge.Repo.insert!/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#insert_all/3","title":"EctoForge.Repo.insert_all/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#insert_or_update/2","title":"EctoForge.Repo.insert_or_update/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#insert_or_update!/2","title":"EctoForge.Repo.insert_or_update!/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#load/2","title":"EctoForge.Repo.load/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#one/2","title":"EctoForge.Repo.one/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#one!/2","title":"EctoForge.Repo.one!/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#preload/3","title":"EctoForge.Repo.preload/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#prepare_query/3","title":"EctoForge.Repo.prepare_query/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#put_dynamic_repo/1","title":"EctoForge.Repo.put_dynamic_repo/1","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query/4` for more information.","ref":"EctoForge.Repo.html#query/3","title":"EctoForge.Repo.query/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query!/4` for more information.","ref":"EctoForge.Repo.html#query!/3","title":"EctoForge.Repo.query!/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many/4` for more information.","ref":"EctoForge.Repo.html#query_many/3","title":"EctoForge.Repo.query_many/3","type":"function"},{"doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many!/4` for more information.","ref":"EctoForge.Repo.html#query_many!/3","title":"EctoForge.Repo.query_many!/3","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#reload/2","title":"EctoForge.Repo.reload/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#reload!/2","title":"EctoForge.Repo.reload!/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#rollback/1","title":"EctoForge.Repo.rollback/1","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#start_link/1","title":"EctoForge.Repo.start_link/1","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#stop/1","title":"EctoForge.Repo.stop/1","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#stream/2","title":"EctoForge.Repo.stream/2","type":"function"},{"doc":"A convenience function for SQL-based repositories that translates the given query to SQL.\n\nSee `Ecto.Adapters.SQL.to_sql/3` for more information.","ref":"EctoForge.Repo.html#to_sql/2","title":"EctoForge.Repo.to_sql/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#transaction/2","title":"EctoForge.Repo.transaction/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#update/2","title":"EctoForge.Repo.update/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#update!/2","title":"EctoForge.Repo.update!/2","type":"function"},{"doc":"","ref":"EctoForge.Repo.html#update_all/3","title":"EctoForge.Repo.update_all/3","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtension.html","title":"EctoForge.Utls.ExecuteExtension","type":"module"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtension.html#extensions_get_after_exucute/5","title":"EctoForge.Utls.ExecuteExtension.extensions_get_after_exucute/5","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtension.html#extensions_get_before_exucute/5","title":"EctoForge.Utls.ExecuteExtension.extensions_get_before_exucute/5","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html","title":"EctoForge.Utls.ExecuteExtensionEvents","type":"module"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_created/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_created/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_created!/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_created!/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_deleted/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_deleted/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_deleted!/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_deleted!/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_get/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_get/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_updated/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_updated/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_after_updated!/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_after_updated!/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_before_created/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_before_created/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_before_created!/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_before_created!/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_before_deleted/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_before_deleted/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_before_deleted!/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_before_deleted!/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_before_updated/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_before_updated/2","type":"function"},{"doc":"","ref":"EctoForge.Utls.ExecuteExtensionEvents.html#exucute_before_updated!/2","title":"EctoForge.Utls.ExecuteExtensionEvents.exucute_before_updated!/2","type":"function"},{"doc":"","ref":"EctoForge.Expections.RepoNotFound.html","title":"EctoForge.Expections.RepoNotFound","type":"exception"}],"producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}